<template>
  <div>
    <h1 class="mb-3">What’s your name?</h1>
    <p class="mb-8">We need to put your legal name on the prescription. Don’t worry, your information is safe.</p>
    <div class="space-y-3">
      <text-input
        v-model="selected.firstName"
        label="Legal First Name"
      />
      <text-input
        v-model="selected.lastName"
        label="Legal Last Name"
      />
      <common-btn
        text="Next"
        :disabled="!selected.firstName || !selected.lastName"
        @click="$emit('nextStage')"
      />
    </div>
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "AccountCreation2",
  watch: {
    selected: {
      handler(newVal) {
        this.setAnswer(this.answersKeys.ACCOUNT_CREATION, newVal, 'stage_2')
      },
      deep: true
    }
  },
  data() {
    return {
      selected: {
        firstName: '',
        lastName: ''
      }
    }
  }
}
</script>

<style scoped>

</style>
